// This program was prepared by the Regents of the University of California at 
// Los Alamos National Laboratory (the University) under contract No. W-7405-ENG-36 
// with the U.S. Department of Energy (DOE). All rights in the program are reserved 
// by the DOE and the University.  Permission is granted to the public to copy and 
// use this software without charge, provided that this Notice and any statement of 
// authorship are reproduced on all copies.  Neither the U.S. Government nor the 
// University makes any warranty, express or implied, or assumes any liability or 
// responsibility for the use of this software.

#if !defined(AFX_INFODIALOG_H__0ED68638_B127_4B65_8E0A_575E65A2B56C__INCLUDED_)
#define AFX_INFODIALOG_H__0ED68638_B127_4B65_8E0A_575E65A2B56C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InfoDialog.h : header file
//

#include <string>

/////////////////////////////////////////////////////////////////////////////
// CInfoDialog dialog

#define		WM_INFO_CLOSE		(WM_USER + 6)

class CInfoDialog : public CDialog
{
// Construction
public:
	CInfoDialog(CView* pParent);

	BOOL Create();
	BOOL OnInitDialog();

	CView *m_pView;

	void info_text(const std::string &m_info_text);

// Dialog Data
	//{{AFX_DATA(CInfoDialog)
	enum { IDD = IDD_INFO_DIALOG };
	CString	m_info;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInfoDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInfoDialog)
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INFODIALOG_H__0ED68638_B127_4B65_8E0A_575E65A2B56C__INCLUDED_)
