// This program was prepared by the Regents of the University of California at 
// Los Alamos National Laboratory (the University) under contract No. W-7405-ENG-36 
// with the U.S. Department of Energy (DOE). All rights in the program are reserved 
// by the DOE and the University.  Permission is granted to the public to copy and 
// use this software without charge, provided that this Notice and any statement of 
// authorship are reproduced on all copies.  Neither the U.S. Government nor the 
// University makes any warranty, express or implied, or assumes any liability or 
// responsibility for the use of this software.

#if !defined(AFX_DOWNLOADDIALOG_H__0A25C375_46C1_4DB0_A608_0DBED8788747__INCLUDED_)
#define AFX_DOWNLOADDIALOG_H__0A25C375_46C1_4DB0_A608_0DBED8788747__INCLUDED_

#include <list>

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DownLoadDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDownLoadDialog dialog

class CDownLoadDialog : public CDialog
{
// Construction
public:
	CDownLoadDialog();

// Dialog Data
	//{{AFX_DATA(CDownLoadDialog)
	enum { IDD = IDD_DOWNLOAD_DIALOG };
	CListBox	m_results;
	CString	m_accession;
	int		m_choice;
	//}}AFX_DATA

	bool save_file;
	std::string file_name;

	std::list< std::pair<unsigned int, std::string> > docsum_list;
	std::list<unsigned int> gi_list;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDownLoadDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDownLoadDialog)
	afx_msg void OnSearchButton();
	virtual void OnOK();
	afx_msg void OnLoadSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOWNLOADDIALOG_H__0A25C375_46C1_4DB0_A608_0DBED8788747__INCLUDED_)
