#ifndef __GV_COMMAND_LINE
#define __GV_COMMAND_LINE

#include <afxwin.h>
#include "GV.h"

#include <list>
#include <string>

class CGVCommandLine : public CCommandLineInfo {
public:

	// A list of files to import from the command line (wildcards are expanded
	// into a list of strings).
	std::list<std::string> m_import_filename;

	void ParseParam( LPCTSTR lpszParam, BOOL bFlag, BOOL bLast );
	
	void clear()
	{
		m_import_filename.clear();
	};
};

#endif // __GV_COMMAND_LINE