// This program was prepared by the Regents of the University of California at 
// Los Alamos National Laboratory (the University) under contract No. W-7405-ENG-36 
// with the U.S. Department of Energy (DOE). All rights in the program are reserved 
// by the DOE and the University.  Permission is granted to the public to copy and 
// use this software without charge, provided that this Notice and any statement of 
// authorship are reproduced on all copies.  Neither the U.S. Government nor the 
// University makes any warranty, express or implied, or assumes any liability or 
// responsibility for the use of this software.


#if !defined(AFX_OPTIONSDIALOGEX_H__629C9BB6_38E3_4A83_A9D0_62BFCE090C05__INCLUDED_)
#define AFX_OPTIONSDIALOGEX_H__629C9BB6_38E3_4A83_A9D0_62BFCE090C05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsDialogEx.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COptionsDialogEx dialog

#define		WM_OPTIONS_CLOSE			(WM_USER + 7)
#define		WM_OPTIONS_UPDATE			(WM_USER + 8)
#define		WM_OPTIONS_SLIDE_FONT		(WM_USER + 9)
#define		WM_OPTIONS_SLIDE_GC			(WM_USER + 10)
#define		WM_OPTIONS_SLIDE_TM			(WM_USER + 11)
#define		WM_OPTIONS_SLIDE_NA			(WM_USER + 12)
#define		WM_OPTIONS_SLIDE_STRAND		(WM_USER + 13)

class COptionsDialogEx : public CDialog
{
// Construction
public:
	COptionsDialogEx(CView* pParent);

	BOOL Create();
	BOOL OnInitDialog();

	CView *m_pView;

// Dialog Data
	//{{AFX_DATA(COptionsDialogEx)
	enum { IDD = IDD_OPTIONS_DIALOG };
	CSliderCtrl	m_slider_tm;
	CSliderCtrl	m_slider_strand;
	CSliderCtrl	m_slider_na;
	CSliderCtrl	m_slider_gc;
	CSliderCtrl	m_slider_font;
	CString	m_font_value;
	CString	m_gc_value;
	CString	m_na_value;
	CString	m_strand_value;
	CString	m_tm_value;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsDialogEx)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionsDialogEx)
	afx_msg void OnCloseButton();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnClose();
	//}}AFX_MSG
	afx_msg LRESULT OnOptionsUpdate(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSDIALOGEX_H__629C9BB6_38E3_4A83_A9D0_62BFCE090C05__INCLUDED_)
